> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofiniti.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancels an existing nomination

> Cancels a nomination by client reference. The nomination will be marked as cancelled and removed from active scheduling.



## OpenAPI

````yaml /specs/fuelboss/fuelboss-api.json put /v1/nominations/{clientReference}/cancel
openapi: 3.1.1
info:
  title: FuelBoss API
  description: >-
    REST API providing a powerful and easy way to manage your companies
    nominations and operations.
  termsOfService: https://www.ofiniti.com/legal/platform-service-terms
  contact:
    name: Support Team
    email: itops@ofiniti.com
  version: 1.15.1
servers:
  - url: https://api.demo.fuelboss.net
    description: Demo (sandbox for testing and integration development)
  - url: https://api.fuelboss.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Nominations
  - name: Entity management
  - name: Operations
  - name: Common
  - name: Webhooks
  - name: Webhook events
paths:
  /v1/nominations/{clientReference}/cancel:
    put:
      tags:
        - Nominations
      summary: Cancels an existing nomination
      description: >-
        Cancels a nomination by client reference. The nomination will be marked
        as cancelled and removed from active scheduling.
      parameters:
        - name: clientReference
          in: path
          description: Your company's unique reference for the nomination to cancel.
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Nomination.CancelNomination.CancelNominationRequest
              description: Request body for cancelling a nomination.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FuelBoss.Api.Contracts.Api.Nomination.CancelNomination.CancelNominationResponse
                description: Response returned after cancelling a nomination.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    format: uri
                  title:
                    type: string
                  status:
                    type: integer
                  detail:
                    type: string
                  instance:
                    type: string
                    format: uri
                  timestamp:
                    type: string
                    format: date-time
                  trace_id:
                    type: string
                description: >-
                  RFC 9457 Problem Details response - fully compliant with
                  latest standard

                  https://tools.ietf.org/html/rfc9457
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    format: uri
                  title:
                    type: string
                  status:
                    type: integer
                  detail:
                    type: string
                  instance:
                    type: string
                    format: uri
                  timestamp:
                    type: string
                    format: date-time
                  trace_id:
                    type: string
                description: >-
                  RFC 9457 Problem Details response - fully compliant with
                  latest standard

                  https://tools.ietf.org/html/rfc9457
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    format: uri
                  title:
                    type: string
                  status:
                    type: integer
                  detail:
                    type: string
                  instance:
                    type: string
                    format: uri
                  timestamp:
                    type: string
                    format: date-time
                  trace_id:
                    type: string
                description: >-
                  RFC 9457 Problem Details response - fully compliant with
                  latest standard

                  https://tools.ietf.org/html/rfc9457
components:
  schemas:
    FuelBoss.Api.Contracts.Api.Nomination.CancelNomination.CancelNominationRequest:
      type: object
      properties:
        reason:
          type: string
          description: Reason for cancelling the nomination.
      additionalProperties: false
      description: Request body for cancelling a nomination.
    FuelBoss.Api.Contracts.Api.Nomination.CancelNomination.CancelNominationResponse:
      type: object
      properties:
        clientReference:
          type: string
          description: Your company's unique identifier for the nomination.
        status:
          enum:
            - supplier_requested
            - supplier_unassigned
            - supplier_assigned
            - operation_started
            - cancelled
            - accepted
            - amended
          type: string
          description: >-
            Status of the nomination after cancellation.


            Possible values:


            - `supplier_requested` — Supplier has been requested for this
            nomination.

            - `supplier_unassigned` — Nomination has no supplier assigned.

            - `supplier_assigned` — Supplier has been assigned to the
            nomination.

            - `operation_started` — Bunkering operation has started.

            - `cancelled` — Nomination has been cancelled.

            - `accepted` — Nomination has been accepted by the supplier.

            - `amended` — Nomination has been amended. Not currently returned as
            a nomination's current status; accept it for forward compatibility.
        lastChangedAtUtc:
          type: string
          description: Timestamp (UTC) of the last change to the nomination.
          format: date-time
      additionalProperties: false
      description: Response returned after cancelling a nomination.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Access token obtained from the /oauth/token endpoint using your client
        credentials.
      scheme: bearer
      bearerFormat: JWT

````